<script>
    export default {
        props: {
            data: Object
        },
        methods: {
            emitId(){
                if (!this.data._id) return
                this.$emit('onToggle')
                this.$emit('getClient', this.data)
            }
        },
        computed: {
            userImg(){
                if (this.data.img) {
                    return this.data.img
                } else  return 'chat-default'
            }
        }
    }
</script>
<template>
    <div class="chat-item flex align-center relative h-18 w-100pr bg-white rounded-4 p-3 mb-3 overflow-hidden  cursor-pointer transition-100" :class="data.state" @click="emitId()">
        <!-- THUMB -->
        <div class="h-12 w-12 rounded-100pr bg-center bg-cover bg-no-repeat mr-3" :style="{ 'background-image': 'url('+ require('@/assets/images/views/panel/'+ userImg +'.jpg') +')'}"></div>
        <div>
            <h2 class="chat-item-name tx-16 mb-1">
                {{ data.name }}
            </h2>
            <p class="chat-item-message tx-12 mb-0">
                {{ data.message }}
            </p>
        </div>

        <!-- TIME -->
        <span class="chat-item-time tx-10 absolute t-0 r-0 mt-2 mr-3" v-if="data.time">
            Hace {{ data.time }}
        </span>
    </div>
</template>